package com.engine.salary.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.salary.entity.siarchives.param.InsuranceArchivesListParam;
import com.engine.salary.service.SIImportService;
import com.engine.salary.service.impl.SIImportServiceImpl;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import weaver.hrm.User;


/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/4/20
 * @Version V1.0
 **/
public class SIImportWrapper extends Service {

    public SIImportService getSIImportService(User user) {
        return ServiceUtil.getService(SIImportServiceImpl.class,user);
    }


    public XSSFWorkbook exportTemplate(InsuranceArchivesListParam param) {
        return getSIImportService(user).exportTemplate(param);
    }
}
